<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:context="http://www.springframework.org/schema/context"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd    
    http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd">

	<!-- DETECTA Y REGISTRA TODOS LOS BEANS -->
    <context:component-scan base-package="com.mx.dla, com.dla.dda" />
    
    <!-- se carga el jndi --> 
	<import resource="classpath:dbms-connect-context.xml" />

	<!-- se carga la cong del data source -->
	<import resource="classpath:spring-datasource.xml" />	
    
    <!-- se carga spring security-->
	<import resource="classpath:spring-security.xml" />
    
    <!-- Carga los properties -->
    <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="locations">
			<list>
				<value>classpath:config.properties</value>
				<value>classpath:webservice.properties</value>	
				<value>classpath:excel.properties</value>			
			</list>
		</property>
		<property name="ignoreUnresolvablePlaceholders" value="true" />
	</bean>
	
	<!-- Carga los json para tranformacion de excel-->
	<bean class="com.mx.dla.dda.excelMapper.context.ExcelMapperContext">
		<property name="dateFormat" value="MM/dd/yyyy" />
		<property name="locations">
			<list>
				<value>/mappers/excel/titulo.json</value>
				<value>/mappers/excel/tituloLicense.json</value>
				<value>/mappers/excel/tituloTransaccion.json</value>
				<value>/mappers/excel/tituloTransaccionExportarLista.json</value>
				<value>/mappers/excel/tituloTX.json</value>
				<value>/mappers/excel/mesesAmortizacion.json</value>
				<value>/mappers/excel/tituloBdeal.json</value>
				<value>/mappers/excel/erroresCargaBdeal.json</value>
				<value>/mappers/excel/reportePago.json</value>
				<value>/mappers/excel/reporteContingencia.json</value>
				<value>/mappers/excel/reporteMovimientos.json</value>
				<value>/mappers/excel/plantillaCargaSuscriptores.json</value>
				<value>/mappers/excel/plantillaCargaTransacciones.json</value>
				<value>/mappers/excel/detalleContrato.json</value>
				<value>/mappers/excel/cargaTransacciones.json</value>	
				<value>/mappers/excel/cargaTransacciones2.json</value>
				<value>/mappers/excel/repDetalleErrorCargaTransaccion.json</value>
				<value>/mappers/excel/repErroresAsociacionTitulos.json</value>
				<value>/mappers/excel/reporteAmortizacionPpto.json</value>	
				<value>/mappers/excel/plantillaVisualizacionesCostPerView.json</value>
				<value>/mappers/excel/addonsRepotRM.json</value>	
				<value>/mappers/excel/addonsRepo1.json</value>
				<value>/mappers/excel/addonsRepo2.json</value>
				<value>/mappers/excel/addonsRepo3.json</value>
				<value>/mappers/excel/addonsRepo4.json</value>
				<value>/mappers/excel/addonsRepo5.json</value>
			</list>
		</property>
	</bean>

	<!-- Carga los valores para los servicios rest -->
	<bean class="com.mx.dla.dda.restClient.bos.DLARestClientFactory">
		<property name="services">
			<map>
				<entry key="ENTRADA_MERCANCIA"                    value="${uri.rest.entradaMercancia}"      />              <!-- PagoTransaccionBO     : ddaContratoCWS        : entradaMercancia     : Int 8-->												
				
				<entry key="FACTURA_NOTIFICA"                     value="${uri.rest.facturaNotifica}" />                    <!-- FacturacionWServiceBO : ddaFacturacionCWS     : notificarFactura     : Int 14-->				
				<entry key="ENVIA_MOVIMIENTO_FINAL"               value="${uri.rest.movimientoFinal}" />                    <!-- FacturacionWServiceBO : ddaPedidoCompraCWS    : enviaMovimientoFinal : Int 34-->
				<entry key="ORDENES_INTERNAS"                     value="${uri.rest.ordenesInternas.apartado}" />           <!-- ApartadosBO           : ddaOrdenesInternasCWS : crearOrdenInterna    : Int 3 -->				
				<entry key="ORDENES_INTERNAS_PRESUPUESTO"         value="${uri.rest.ordenesInternas.presupuesto}" />        <!-- PresupuestoBO         : ddaOrdenesInternasCWS : modificarOrdenInterna: Int 7-->
												
				<entry key="ENVIA_CORREO"                         value="${uri.rest.envia.correo}" />                       <!-- ValidacionGeneralesBO : dla-services-->				
				<entry key="VALIDA_PRESUPUESTO"                   value="${uri.rest.validaPresupuesto}"     />              <!-- CommonRestBO          : dla-services-->				
				
				<entry key="REGISTRAR_SAP_SUSCRIPCION"            value="${uri.rest.registro.sap.suscripcion}"       />     <!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
				<entry key="REGISTRAR_SAP_TRANSACCIONAL"		  value="${uri.rest.registro.sap.transaccional}" />			<!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
				<entry key="REGISTRAR_SAP_LICENSE_FEE"	  		  value="${uri.rest.registro.sap.license.fee}" />			<!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
				<entry key="REGISTRAR_SAP_ENMIENDA_SUSCRIPCION"   value="${uri.rest.registro.sap.enmienda.suscripcion}" />  <!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
				<entry key="REGISTRAR_SAP_ENMIENDA_TRANSACCIONAL" value="${uri.rest.registro.sap.enmienda.transaccional}" /><!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
				<entry key="REGISTRAR_SAP_ENMIENDA_LICENSE_FEE"   value="${uri.rest.registro.sap.enmienda.license.fee}" />  <!-- ValidacionGeneralesBO : DDA_WSB_ClienteSAP -->
																											
				<entry key="CARGA_TITULOS"                        value="${uri.rest.carga.titulos}" />                      <!-- TituloBO                            : DDA_WSB_Procesos -->				
				<entry key="CARGA_TITULOS_LICENSE"                value="${uri.rest.carga.titulos.license}" />      		<!-- CommonRestBO                        : DDA_WSB_Procesos-->
				<entry key="COSTO_TITULO"                         value="${uri.rest.costoTitulo}"           />              <!-- CommonRestBO                        : DDA_WSB_Procesos-->				
				<entry key="VALIDA_MINIMO_SELECCION"              value="${uri.rest.validaMinimoSeleccion}" />              <!-- CommonRestBO, ValidacionGeneralesBO : DDA_WSB_Procesos -->
				<entry key="GENERA_AMORTIZACION2"                 value="${uri.rest.generaAmortizacion2}"   />              <!-- TituloBO                            : DDA_WSB_Procesos -->
				<entry key="CALCULAR_AMORTIZACION_POR_CONTRATO"   value="${uri.rest.calcularAmortizacionPorContrato}" />    <!-- ValidacionGeneralesBO               : DDA_WSB_Procesos -->
				<entry key="VALIDAR_PRESUPUESTO_POR_CONTRATO"     value="${uri.rest.validarPresupuestoPorContrato}" />      <!-- CommonRestBO, ValidacionGeneralesBO : DDA_WSB_Procesos -->
				<entry key="ACTUALIZAR_ID_BROADVIEW"			  value="${uri.rest.actualizar.id.broadview}" />            <!-- BdealBO                             : DDA_WSB_Procesos -->
				<entry key="OBTENER_SUSCRIPTORES_CONTRATO"        value="${uri.rest.obtenerSuscriptoresContrato}" />        <!-- MinimoSeleccionBO                   : DDA_WSB_Procesos -->
				<entry key="COSTO_SUSCRIPTORES"                   value="${uri.rest.costoSuscriptores}" />                  <!-- CargaSuscriptorBO                   : DDA_WSB_Procesos -->								
				<entry key="CREA_ORDEN_COMPRA"                    value="${uri.rest.orden.compra}"           />             <!-- ValidacionGeneralesBO               : DDA_WSB_Procesos -->
			
				<entry key="NOTA_CREDITO_CARGA"                   value="${uri.rest.notaCreditoCarga}"           />  
				<entry key="GENERA_REPORTE_AMORTIZACION_BA" 	  value="${uri.rest.reporte.amortizacion.baseActivos}" />	<!-- BaseActivosBO						 : DDA_WSB_Procesos -->
			
				<entry key="WS_CARGA_TRANSACCIONES_PROCESARCARGATITULOSPN" value="${uri.ws.carga.transacciones.procesarCargaTitulosPN}"/> <!-- CargaTransaccionesBO -->
				<entry key="WS_CARGA_TRANSACCIONES_ASOCIARTITULOSTRANSCNTVIGENTES" value="${uri.ws.carga.transacciones.asociarTitulosTransCntVigentes}"/> <!-- CargaTransacciones / RECALCULO DE PAGO -->
				<entry key="WS_TRANSACCIONTITULOS_NOTIFICAR_INVENTARIOS" value="${uri.ws.contrato.transaccion.titulos.notificarInventarioTitulos}"/> <!-- Transacciones/Titulos / Notificacion Titulos -->
				<entry key="WS_TRANSACCION_TITULOS_CARGA" value="${uri.ws.contrato.transaccion.titulos.procesarCargaTitulosTR}"/> <!-- Transacciones/Titulos / Carga Titulos-->
				<entry key="GENERA_TRANSACCIONES_VISTAPREVIA" 	  value="${uri.rest.carga.transaccion.vistaprevia}" />	<!-- CargaTransacciones / VistaPrevia , cargaTransaccionesBO : DDA_WSB_Procesos -->
				
				<entry key="WS_CARGA_ARCHIVO_VISUALIZACIONES" value="${uri.ws.carga.visualizaciones.procesa}"/> <!-- Carga archivo Visualizaciones - Modulo Reporte Cost Per View-->
				<entry key="TITULOS_BROAD_VIEW"                   value="${uri.rest.titulosBroadView}"           />
				<entry key="CRN_EXHIBICION"                   value="${uri.rest.crnExhibicion}"           />
				<entry key="CRN_CLIENTE_SAP"                   value="${uri.rest.crnClienteSAP}"           /> <!-- Carga titulos desde BroadView a la base de DDA-->
			</map>
		</property>
	</bean>
	
	<!-- Verificar si se puede eliminar-->
	<bean id="reportePagoAlterno" class="com.mx.dla.dda.reporte.pago.bos.ReportePagoAlternoImpl">
	    <constructor-arg>
	        <ref bean="dsDLA" />
	    </constructor-arg>
	</bean>
	
	<bean id="precioPremium" class="com.mx.dla.dda.contrato.transaccion.terminos.bos.TerminosPrecio" >		
	</bean>

	<bean id="precioPremier" class="com.mx.dla.dda.contrato.transaccion.terminos.bos.TerminosPrecio" >		
	</bean>
	
	<bean id="precioLibreria" class="com.mx.dla.dda.contrato.transaccion.terminos.bos.TerminosPrecio" >		
	</bean>
	
	<bean id="precioMovies" class="com.mx.dla.dda.contrato.transaccion.terminos.bos.TerminosPrecio" >		
	</bean>	

</beans>